import { exec, ChildProcess } from 'child_process'

import AbstractDisplayService from './AbstractDisplayService'

export default class DisplayServiceWindows extends AbstractDisplayService {

  private childProcess: ChildProcess

  _turnOn() {
    if (this.childProcess === undefined || this.childProcess === null) {
      console.log('Display is already on')
      return
    }

    this.childProcess = exec(`taskkill /pid ${this.childProcess.pid} /f /t`)
    this.childProcess.stderr.on('data', (data: string) => {
      console.error(data)
    })
  }

  _turnOff() {
    this.childProcess = exec('%systemroot%\\system32\\scrnsave.scr /s')
    this.childProcess.stderr.on('data', (data: string) => {
      console.error(data)
    })
  }

}
